Package org.eigenbase.resgen

# Class ResourceGenTask.Include

java.lang.Object
org.eigenbase.resgen.ResourceGenTask.Include

Enclosing class:
  `ResourceGenTask`

public static class ResourceGenTask.Include extends Object
`Include` implements <include> element nested within a <resgen> task (see `ResourceGenTask`).

Attribute | Description | Required
--- | --- | ---
name | The name, relative to srcdir, of the XML file which defines the resources. | Yes
className | The name of the class to be generated, including the package, but not including any locale suffix. By default, the class name is derived from the name of the source file, for example `happy/BirthdayResource_en_US.xml` becomes class `happy.BirthdayResource`. | No
cppClassName | The name of the C++ class to be generated. By default, the class name is derived from the name of the source file, for example `happy/BirthdayResource_en_US.xml` becomes class `happy.BirthdayResource`. | No
baseClassName | The fully-qualified name of the base class of the resource bundle. Defaults to "org.eigenbase.resgen.ShadowResourceBundle". | No
cppBaseClassName | The fully-qualified name of the base class of the resource bundle for C++. Defaults to "ResourceBundle". | No

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) String`
`baseClassName`
Base class.
`(package private) String`
`className`
Class name.
`(package private) String`
`cppBaseClassName`
C++ Base class.
`(package private) String`
`cppClassName`
C++ Class name.
`(package private) String`
`fileName`
Name of source file, relative to 'srcdir'.
`(package private) ResourceGenTask`
`root`

## Constructor Summary

Constructors
Constructor
Description
`Include()`

## Method Summary

Modifier and Type
Method
Description
`(package private) String`
`getBaseClassName()`
`(package private) String`
`getCppBaseClassName()`
`(package private) void`
`process(ResourceGen generator)`
`void`
`setBaseClassName(String baseClassName)`
Sets baseClassName.
`void`
`setClassName(String className)`
Sets className.
`void`
`setCppBaseClassName(String baseClassName)`
Sets cppBaseClassName.
`void`
`setCppClassName(String className)`
Sets cppClassName.
`void`
`setName(String name)`
Sets name.
`(package private) void`
`validate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### root

ResourceGenTask root

### fileName

String fileName
Name of source file, relative to 'srcdir'.

### className

String className
Class name.

### baseClassName

String baseClassName
Base class.

### cppClassName

String cppClassName
C++ Class name.

### cppBaseClassName

String cppBaseClassName
C++ Base class.

## Constructor Details

### Include

public Include()

## Method Details

### validate

void validate() throws BuildException

Throws:
  `BuildException`

### process

void process(ResourceGen generator) throws BuildException

Throws:
  `BuildException`

### setName

public void setName(String name)
Sets name.

### setClassName

public void setClassName(String className)
Sets className.

### setBaseClassName

public void setBaseClassName(String baseClassName)
Sets baseClassName.

### getBaseClassName

String getBaseClassName()

### setCppClassName

public void setCppClassName(String className)
Sets cppClassName.

### setCppBaseClassName

public void setCppBaseClassName(String baseClassName)
Sets cppBaseClassName.

### getCppBaseClassName

String getCppBaseClassName()